— FREE CLASSIFIED ADVERTISING
EVERY SECOND FRIDAY

FRIDAY, JUNE 11, 2010

( \/ ) THE ISLANDS EVENTS, ENTERTAINMENT & MORE

Volume 4 Issue 18

MASTERPIECE WEEKEND ol oot i

The Gulf Islands Secondary School’s Graduating Class of 2010, looking their best on Saturday, June 5 as they celebrate their end to high
school and a new chapter of their lives. See this photo in colour at www.islandsmarketplace.com. Photo by Helen Elizabeth Schnare. www.henny.ca
FRONT PAGE PHOTO
About the Photographer:

A professional photographer, Henny
Schnare was born in England and has a
passion for our beautiful Gulf Islands. She
and her family have lived on Galiano for
20 years. Henny is a member of ArtCraft
& her work is found at the Waterfront Gal-
lery, Salt Spring Books, Volume Il Books,
Ravenstreet Coffeehouse and in multiple
locations on Galiano. www.henny.ca

OUR NEXT ISSUE:
FRIDAY, JUNE 25, 2010

Advertising Deadline:
Tuesday, JUNE 22, 2010

ANIMALS & ACCENS.

ANTIQUES APPLIANCES

Mille-Fleur chicks from show winning
unrelated(:) stock. Health, outdoor chicks
raised with a hen. $25 for 3, or $10 each.
Beautiful Banties! (“a thousand flowers”).
Phone Caroline to view at Gander’s Hatch
Farm. 537-5761. 07-06

Private sale of good quality tack. (Shut
down trail ride service). Orthoflex saddles
with pads, crupers, etc. $750 each. (these
are the most comfortable “rig” for your
long suffering equine!). Work harness,
bridles, tons of hits, cavessons etc. Call
Caroline to view. 537-5761. -07-06

ANTIQUES

Antique round dining table; five standard
chairs and one captain’s plus sideboard.
Antique chesterfield table with hand
carved trim. $150. Antique rectangular
wooden dining table with leaves; five stan-
dard chairs and one captain’s plus side-
board. $750. 250-416-0608. 07-06

Antique 56 piece dinnerware set; Wedg-  Moffat white top load washer. Good work-
wood “Frontenac” design. $100. Phone: ing condition/good shape. Asking 50.00.

250-416-0608. 07-06 Phone: 250-537-6635. 06-11
Small antique book table. $75. 250- Viking almond electric range. Well used,
416-0608. 07-06 but in good working condition. Asking

$50.00. Phone: 250-537-6635. 06-11
APPLIANCES
Kenmore washer dryer $50. 250-744- AUTos F““ SALE

6979. 07-06 1984 Dodge camper van, 19' roadtrek,
2008 White Kenmore 1.8 cu. ft. 1050 318cc, power steering, oblique brakes,

; cruise, sleeps 3, 2 burner stove, fridge,
\évgftst_sés%\gr()tg_ezgange microwave. $250. flush toilet, fresh water tank. twin bat-

teries. $6700 obo. Call 250-629-3289.

Air Conditioner - $165. Portable, ideal 06-25

for large bedroom or home office. Hiaer . . )

Model HPRO9XC7, 9000 BTU, also f'ass.'c .1d986 Z‘”d tT'g"dl " goﬂﬁ Coqg'é

works as a dehumidifier if you don’t HON INSIE and oul, beyl, Iess than
kms, sunroof, stereo. Very reliable trans-

want ihe cooling. Complete With 160X portation! Phone: 250-931-1008. 06-25

616-9102. 06-25 2005 Toyota Corolla CE, power doors,

o~ v automatic, 4 doors, new tires, only

&> pleaserecycle €3 72,000, good condition, $8500. 250-
526-0530. 06-25

r

\ By appointment. Fogarty Accounting & Tax Services Ltd.J

N —

89 F250 good condition, idles ok has
lncome Tax fuel delivery issue new rubber front and
CANADIAN & AMERICAN back 1000.00 firm or trade. Email: adam_

PERSONAL & CORPORATE TAX PREPARATION

James T.

smolcic@yahoo.ca. 06-25
1992 GMC Sierra 1500 4x4 Great truck,

Fo a runs awesome. 238K Just got a new air
g filter, front diff. fluid and oil changed.

November 09 had brakes done, new

TAX ACCOUNTANT calipers and wheel cylinders, drums re-
Fulford Village Office surfaced, new shoes and ebrake cables,

Ph: 250-653-4692 Fx: 250-653-9221 new battsry. 2008 new water pump and

fuel pump and tires. 2005 NEW TRANS-
MISSION. Interior in great shape, lots of

towing power with the V8. Also comes

A

Carl Borgstrom

with a black canopy. $4900 obo. Phone:
250-538-8834. 06-11

1985 Ford E350 Cube Van, v8 automatic
5.8 1. 184,000 km. $3000 0BO. Phone:

KITCHEN & BATH CENTRE 250-537-5836. 06-11

2002 F350, 215 000kms, 7.3L Diesel.

* Fine Custom Cabinets from MERIT Dual wheels, Alum. rims. Crew Cab, long
¢ Kitchens ¢ Bathrooms ¢ Offices box with removable fifth wheel ball hitch

in bed. 6spd manual. Power windows,

Kitchen Designer  * Dining Rooms ¢ Entertainment Units | o.c; jocks and A/C. Manual hubs to en-
250-538-7133 Serving Salt Spring & The Gulf Islands gage 4x4. Front bumper with receiver for

tow hitch. Max tow 14000Ibs. max pay-

301 Mobrae Avenue,
Saltspring Island, BCV8K 1)7

info@islandsmarketplace.com  Tracey Supina, Sandi Poystila
AUTOS FOR SALE

PRICE REDUCED for Quick Sale: 1989
Trooper 4x4, 4 cyl. good tires with re-
cent new head on motor. Exc. island ve-
hicle. $1200. 537-8969. TFN

Sell your car in The Islands Market-
place... for free.

AUTO PARTS & ACCENS.

Toyota 4-runner for parts. $100 each -
Two 22R motors, doors, hood canopy,
etc. 653-9801. 07-06

1965 194 6cylinder head. was running
when pulled, needs rebuild. good for
compression increase with a 250 or 292.
asking $200 motor also for sale. -Amy.
Phone: 250-538-7840. 07-06

Clarion Auto Stereo. Model DRB4675
AM/FM/CD. 4 Channel 4x45W. Detatch-
able Control Panel. Remote Control.
$50. Brad 250 931-1964. 07-06

3 tires from Matrix, 22k, 205/55R16.
$30 ea. Yakama Sky Box used once,
$300. Phone: 250-537-5278. 07-06

BIKES

New bike, twist grip gear, new helmet &
padded saddle. $150. 537-5709. 07-06

Gary Fisher 21 speed mtn. bike. convert-
ed for touring. With slick tires front &
rear racks, fenders, etc. Many upgraded
components, includes lots of acces-
sories, perfect for travelling or comut-
ing/grocery shopping. $300. 537-4514.
07-06

Trek Calypso Classic bicycle. Aluminum
Frame, 7 speeds, cruiser. $230. Call
653-9899. 06-25

BOATS AND MARINE

7.5 Evinrude Outboard Motor for sale. 2-
stroke.Recently serviced with New Water
Pump & Spring Tune up. Runs Great!
Comes with Gas Tank & fuel line. Selling
only because we have a larger boat now.
$640. Phone: 250-537-4149. 07-06

Mini Tug for Sale - 21 foot Ranger Mini-
tug. Excellent seaworthy vessel with 18
h.p. Yanmar diesel. Price includes Road
Runner trailer. New bilge pump, starter
motor and battery installed last year. Will
cruise for one hour on one quart of diesel
fuel. Sleeps two and could handle up to
five fishermen at a time. Asking $28,400.
Phone 250-537-5224.. 07-06

2 westmarine 11 foot 9” patriot kayaks
for sale. used twice, includes paddles
and skirts. as new $400 each firm. 250-
653-0017. 07-06

8hp Honda four stroke, long shaft out-
board motor. off of sailboat, excellent
condition. maintained yearly. $900. 538-
8414. 07-06

Cal 25, 3 jibs plus spinacker, honda
outboard,needs minor tlc but you can
sail this boat away. $4500 obo 250-537-
8455. 07-06

FOR SALE: 21’ Bayliner Buccaneer sail-
boat; mainsail and jib; 9.9 Holda needs
oil seals. Very roomy; sleeps 5. Good
condition - great starter boat, $2000.
FOR SALE: 8 Achilles inflatable soft-bot-
tom tender, $400. FOR SALE: 12’ 2-sta-
tion clinker-built rowboat, $500. Please
call Rod, 538-8304. 07-06

8’ lapstrake FG sailing dinghy, complete
Rig and oars. $450. Monitor Self steer-
ing Vane complete with spares. Enquire.
Phone: 250 537-5278. 07-06

Norco BMC Bike for sale, near new
condition, payed $395.00 selling for
$250.00. Needs brave rider. Call 931-
7193. 06-11

& pleaserecycle £

16" Canoe, Needs a lake. Fibreglass,
Frontiersman. Very stable. Two paddles
$350.00 Elderly Aluminum boat with
oars. Needs water, Asking $375.00.
Phone: 250-538-0082. 06-25

Saltspring Auto Supply

Visit us for all of your Auto Parts & Supply needs

Open 7 Days A Week:

Mon. to Fri. 7:30am to 6pm
Sat. 8am to 5pm / Sun. 10am to 4pm

© BB Auto Supply |. 22"« JB Downtown

® (olwood Langford Auto Supply ~® JB Precision

® Ladysmith

106 Jackson Avenue, Saltspring Island,
Fax: 250-537-2810 Email: ssap@ijbgroup.ca

Ph: 250-537-5507

PRETZEL MOTORS

Armstrong Firestone Hankook Good Year Lee Farm General

&

319 Rainbow Road
Saltspring Isl. B.C.
V8K 2M4

Tel: 250.537.4331

Call us for Complete
Automotive Servicing
by our Licenced
Technicians

We are a Government
Designated Test Facility

* Brakes - Exhaust - Steering - Tires (New & Used)
» Lube, Oil & Filter - Computer Diagnostics

537-2876

#2 - 319 Upper Ganges Road (across from Home Design Centre)

Open 8am to 5pm Monday to Friday
Riken Pirelli Michelin BF Goodrich Uniroyal Dunlop

PAUL B. JOYCE

Barrister & Solicitor
OVER 25 YEARS EXPERIENCE WITH

PERSONAL INJURY &
ICBC CLAIMS

ALL INJURIES HANDLED

* AUTOMOBILE °

* PEDESTRIAN °

* MOTORCYCLE °
* BICYCLE °

FREE
Initial
Consultation

NO FEE
Until
You Collect

* WRONGFUL DEATH -
* INJURY ON PROPERTY -

IF YOU ARE INVOLVED IN AN ACCIDENT
AND HAVE A CLAIM YOU SHOULD
CONSULT A LAWYER BEFORE SETTLING

Tel: (250) 537-4413
(24 hours)

265 DON ORE ROAD
SALT SPRING ISLAND, BC
V8K 2H5
The Islands Marketplace CALENDAR OF EVENTS

FRIDAY, JUNE 11

SATURDAY, JUNE 12

FRIDAY, JUNE 18

SUNDAY, JUNE 20

Rugg Huggers Baby & Parent Drop-In,
10:00-1:00 (includes light lunch) at
Family Place, 120 Park Dr. 250-537-
9176. familyplace@ssics.ca.

StoryTime at the Library: Blast-off to
Summer. Celebrate the final StoryTime
of the season. Stories, activities, and
fun for early grades & pre-school
children. 1pm at the Library

Live Music with HeyBoy HeyGirl at
Moby’s Qyster Bar & Grill. 8pm.

“Letters to Juliet” and “The Girl with
the Dragon Tattoo” starts tonight at
the Fritz Cinema. Call 537-4656 or
visit www.thefritz.ca

EveryBody Stretch at Ganges Yoga
Studio, 11am to 12pm. $8.00

Roller Blading at the Fulford Hall on
Saltspring from 7:30 to 9pm.

SATURDAY, JUNE 12

Dad ‘n” Me - Meet and eat pancakes
with dads and kids at Family Place at
120 Park Drive, 8:30-10:30 a.m. 537-
9176.

Crofton Community Garage Sale, 8am
all day long, all through Crofton - this
is the day to declutter and buy or
resell good quality used items. VISIT
CROFTON TODAY!!! www.bcferries.
com for ferry schedule.

Saturday Market in the Park at
Centennial Park in the Heart of Ganges,
Fresh organic produce and creative
local arts & crafts.

Heritage Faire @ Phoenix Elementary
What life was like on Salt Spring Island
for a kid 100 years ago. from 11-4pm
@ Phoenix Elementary on Drake Rd.
(just past Embe bakery).

Flute Retreat Concert with William
Bennet and more on Pender Island
at the United Church, 2:30pm. www.
fluteretreat.com

Free Drop-Off for gorse, broom,
blackberry, and other invasive weeds
from 9 AM to 5 PM. Location: Fulford-
Ganges Road, across from #s1583
and 1601. Tarp broom in order not to
spread the seeds. Sponsored by SSI
Conservancy and PARC. 537-0880.

Pender Island Farmer's Market at
Pender Community Hall. Localfarmers,
craftspeople and other vendors offer
fresh fruit and vegetables, crafts of all
varieties, and delicious food.

ROOTS Music withLane 31 at Moby’s
Oyster Bar & Grill. 7pm to 10pm.

Geoff Berner Klezmer Mongrels perform
at Cedar Lane Studio at 8:30pm. Tickets
at Acoustic Planet Music - info at; 250-
538-7262.

Big Al & Tubob perform at the Harbour
House hotel from 6:30-9pm in the
lounge.

SUNDAY, JUNE 13

Cuban Salsa Classes at the Mahon Hall
on Sundays from 6-8 pm. Ph: 250 653
4239.

Rainbow Road Pool - Twoonie Swim
from 1:30 - 5:30. 537-1402 for info.
Neighbourhood Emergency
Preparedness presentation at the
Beaver Point Hall from 3 to 5pm. Free
presentation.

The Barley Bros at the Fulford Pub.

Jazz Night at Moby’s Oyster Bar & Grill
with Preston Bonkowski. 7pm to 10pm.

MONDAY, JUNE 14

Toastmasters Speaking at 7pm in
the Crofton Room, Harbour House
Hotel.537-2581. Guests Welcome.

EveryBody Stretch Ganges Yoga Stu-
dio, 12:30 - 1:30pm, drop in $8.00

Giant Book Sale Drop off at Country
Grocer from 10am to 3pm.

Parent - Child Drop-in, 9:00 - 12:30, at
Family Place, 120 Park Dr. (Behind All
Saints Anglican Church). 250-537-9176.
familyplace@ssics.ca

TUESDAY, JUNE 15

Open Stage at the Treehouse Cafe with
David Jacquest.

Gene Grooms performs live at the
Harbour House Hotel from 6:30-pm in
the lounge.

WEDNESDAY, JUNE 16

Listen to The Alan Moberg Show,
Wednesdays at noon 107.9 fm or www.
cfsi-fm.com

Live Music with Richard Cross at the
Treehouse Cafe.

FRIDAY, JUNE 18

Masterpiece Weekend - 24 works by 24
artists for info: www.saltspringfineart.
com at ArtSpring. See story on page 8

Rugg Huggers Baby & Parent Drop-In,
10:00-1:00 at Family Place, 120 Park Dr.
250-537-9176. familyplace@ssics.ca.

Live Music with The Broken Strings at
Moby’s Oyster Bar & Grill. 8pm.

EveryBody Stretch at Ganges Yoga
Studio, 11am to 12pm. $8.00

Roller Blading at the Fulford Hall on
Saltspring from 7:30 to 9pm.

The Back-Up Planand “The Last Station”
starts tonight at the Fritz Cinema. Call
937-4656 or visit www.thefritz.ca

SATURDAY, JUNE 19

Dad ‘n’ Me - Meet and eat pancakes with
dads & kids at Family Place at 120 Park
Dr, 8:30-10:30am 537-9176.

Salt Spring Folk Club Special Event -
Russell deCarle of Prairie Oyster June
19th at the Fulford Hall. Doors at 6pm
with dinner. Concert at 7pm. Tix at
Acoustic Planet, Stuff & Nonsense and
SS Books.

Starlight Pops Choir: All We Need
is Music! Saturday, June 19 - 2:00
p.m.at ArtSpring Theatre. Directed
by Sue Doman, this 65-voice pops
choir presents the music of Andrea
Bocelli, J.S. Bach, Eric Clapton, John
Williams, Martha and the Vandellas
and much more! Featuring the Starlight
Pops Combo led by Phil Hallman, and
a special guest appearance by vocal
quartet “Four Neat Guys”.

SATURDAY, JUNE 19

Saturday Market in the Park at
Gentennial Park in the Heart of Ganges,
Fresh produce and creative local arts &
crafts.

Rod & Gun Club OPEN HOUSE from
10am. BBQ from 11 to 2pm.

Happy Father’s Day

Solstice Celebration at Saltspring
Vineyards. On the longest day of the
year, come and experience the beauty
wine made lovingly from locally
grown, sustainably produced grapes,
blackberries, and apples.

Book Launch & Celebration for The
Life and Art of George Fertig. 8pm at
the Lions Club, 103 Bonnet Ave.

Galiano Mural Project unveiled with
a special celebration at the Galiano
Oceanfront Inn and Spa. 12 - 5 pm
Art Show and Sale, 1 - 3 pm Artists’
Reception with  Classical  Music
performed by Toby Beaulieu. 3pm
Unveiling of the Kunamokst Mural.
http://www.muralmosaic.com. http://
www.galianoinn.com

MONDAY, JUNE 21

Toastmasters Speaking at 7pm in
the Crofton Room, Harbour House
Hotel.537-2581. Guests Welcome.

EveryBody Stretch Ganges Yoga Stu-
dio, 12:30 - 1:30pm, drop in $8.00

Crystal Journey presents, a journey
through our solar system, bring a mat
or blanket to SSCentre of Yoga. www.
crystaljourney.ca

Parent - Child Drop-in, 9:00 - 12:30,
at Family Place, 120 Park Dr. (Behind
All Saints Anglican Church). 250-537-
9176. familyplace@ssics.ca

WEDNESDAY, JUNE 23

Listen to The Alan Moberg Show,
Wednesdays at noon 107.9 fm or www.
cfsi-fm.com

Blues Night at Moby’s with the Uncle
Wiggly’s Hot Shoes Blues Band.

Solstice Celebration of Creativity for
Women. Sing, write and paint as
a transformative exploration in an
environment of gentleness and joy.
Ignite your passions, engage your
heart and bathe in the beauty of rich
and fulfilling connection. With Lorraine
Gane, Oona McOuat and Lisa Lipsett.
Sat., June 19, 10-5:30 p.m. Beaver
Point Hall. $85 250-537-5294; www.
creativebynature.ning.com.

SUNDAY, JUNE 20

Rainbow Road Pool - Twoonie Swim
from 1:30 - 5:30. 537-1402 for info.

Jazz Night at Moby’s Oyster Bar & Grill.
with Departure... from 7pm to 10pm.

Book Launch Derek  Lundy’s
“Borderlands: Riding the Edge of
America” at ArtSpring at 7:30pm.
THURSDAY, JUNE 24

Blues Night with Soul Shakedown at
Moby’s Qyster Bar & Grill. 8pm.

FRIDAY, JUNE 25

Live Music with Planet Music at Moby’s
QOyster Bar & Grill. 8pm.

Roller Blading at the Fulford Hall on
Saltspring from 7:30 to 9pm.

EveryBody Stretch at Ganges Yoga
Studio, 11am to 12pm. $8.00

UPCOMING EVENTS

Send your free community event to
info@islandsmarketplace.com

**+ ALL EVENTS LISTED ABOVE ARE LOCATED ON SALTSPRING ISLAND, UNLESS OTHERWISE NOTED.
Advertise your event here! Email : info@islandsmarketplace.com for the next edition - June 25
BOATS & MARINE

Zodiac C285FR inflatable, o/b swivel,
boat cover, towing bridle, 50’ painter,
bow bag, oars, foot pump, Weaver da-
vits, beaching kit, boat bag; 4 HP Yamaha
o/b (little used), o/b cover, 3-gallon gas
tank; 16" EZ loader trailer. Cruise ready.
$2400 250-537-9215. 07-06

Canoe for sale, 14 ft. red fiberglass, Cat-
arat. positive floatation, bow and stern,
wood seats, complete with two paddles
and new paint. $350. Great lake canoe.
Call 250-538-5577. 05-14

15 fibreglass boat, fixer upper, offers.
Call 537-2085. 06-25

Wanted to buy: 3 axle boat trailer for 6
ton, 26 ft. boat with 8ft. beam 250-751-
6141.02-19

BUILDING ITEMS

Stainless steel double kitchen sink with
tap 26x18 inches $20. 250-537-5197.
07-06

Lumber, 200 bd ft. of yellow cedar clear,
$350. Figured Maple, boards and slabs.
Clear red cedar. 250-526-2772.. 06-11

CHILDREN'S ITEMS

Infant car seat for newborn to 22Ibs.
$30 - hardly used. 537-2950.

Pink baby bouncy chair, music and vi-
brations, folds for travel, comes with
carry bag. Excellent condition. $30 obo.
537-2950.

COLLECTIBLES

Huge 133 1/3 ounce Canadian Club
Texas Mickey bottle with pump and
box. Excellent condition... $30. Phone:
250537-0710. 06-11

COMING EVENTS

Sat. June 12 - Crofton Community Ga-
rage Sale, 8am all day long, all through
Crofton - this is the day to declutter and
buy or resell good quality used items.
VISIT CROFTON TODAY!!! www.bcfer-
ries.com for ferry schedule.

Heritage Faire @ Phoenix Elementary.
What life was like on Salt Spring Island
for a kid 100 years ago. Saturday June
12th, 11-4 @ Phoenix Elementary on
Drake Rd. (just past Embe bakery)

CHILDREN'S ITEMS

Toys in very good condition for babies
and toddlers. girls items, baby girls
clothes 6-12 months. 537-2950

Visit us online:
www.islandsmarketplace.com
The Island’s Marketplace is the Gulf
Island’s FREE Buy & Sell Magazine...
100% locally owned & operated.

Sabine Georgy
250-653 9785
S a n sabine@saltspring.com
o
formerly
Signs by Jill

Marine Parts & Service, Gas & Diesel
Factory Certified Mechanics

Power Boat Haulouts ¢ Hull Repairs
Shipwright Services -Towing Chase Boat

: Mobllerl amc Chandlery
P — P e

--MARINE &’ EQUIPMENT

222 Upper Ganges Road

at the head of Ganges Harbour
Phone (250) 537-4202

Fax (250) 537-4029

VHF 16 “Enterprize”

VHF 66A/68 “Harbours End Marine”
www.harboursendmarine.com
harboursend@shaw.ca

“The Gulf Islands’ only complete Marine Service Center”

Mr. Mark Rithaler,
General Manager
S.S.1. Division wel-
comes all old and
new customers of
SLEGG LUMBER
to call him at
537-4978 for

all your building
requirements,
large or small.

Fax:

937-4945

Competitive Prices, Friendly Staff and
ALL your Building Needs Under One Roof!!

sleg;@@lumher ﬂwu

“Why Pay More?”

E‘T *ai

Mon - Friday:
7:00am - 5:00pm
Saturday:
8:30am - 5:00pm

Mark Rithaler
537-4978
COMING EVENTS COMING EVENTS

NEIGHBOURHOOD Emergency
PREPAREDNESS Presentation

Beaver Point Road Corridor
Date: Sunday, June 13th, 2010
Time: 3:00pm - 5:00pm
Location: Beaver Point Hall.
Refreshments will be available, families welcome.

You are invited to a FREE Presentation on how the POD neighbourhood program
can help our South-End community work together in the face of a major emergency.

COMING EVENTS

COMING EVENTS

Island Integrity Isdand Pride

" Kears of Professional, Craalified Experience”

s Renovations, Additions, Sunrooms, Custom Construction.
Jim Anderson
537-0779

Eyhing fow & Detrer workd. v disraay i a e

COMMUNICATIONS COMMUNICATIONY

Proudly serving Salt Spring Island
for over 25 years!

ISPAND
COMMUNICATIONS LTD.

Your communications specialist

Surveillance Camera Systems

VIsIT vs FOR | ENWOOD MOBILE anD

PORTABLE
DEALER

Raolos
We are a proud member of the BC Firechiefs Association

2540 Bowen Road,
Nanaimo, BC V9T 3L3
Phone: 250-758-7301 Fax: 250-758-0294
Email: cercomm@island.net

www.island-communications.com

Solstice Celebration of Creativity for
Women. Open to the full flowering of
your most vibrant, expressive self. Sing,
write and paint as a transformative ex-
ploration in an environment of gentle-
ness and joy. Ignite your passions, en-
gage your heart and bathe in the beauty
of rich and fulfilling connection. With
Lorraine Gane, Oona McOQuat and Lisa
Lipsett. Sat., June 19, 10-5:30 p.m. Bea-
ver Point Hall. $85 ($75 by June 10).
250-537-5294; www. creativebynature.
ning.com.

Starting Sunday, May 23 the Point Gal-
lery in Fulford presents work by John
Denniston and Steven Dixon. The open-
ing reception is from 2pm to 5pm, and
runs until June 20th.

Friday, July 2 - EcoNest Open House with
EcoNest authors Robert Laporte and
Paula Baker-Laporte, 699 Mt Belcher
from 5PM to 7PM. Join Robert Laporte
and Paula Baker-Laporte, authors of
EcoNest, at the site of their new EcoNest
cottage - a natural healthy home made
of straw, clay and timber. Call 250-537-
0076. FREE event. Light refreshments
served. www.econest.com Parking is
limited. Please consider carpooling!

Starlight Pops Choir: All We Need is Mu-
sic! Saturday, June 19 - 2:00 p.m.at Art-
Spring Theatre. Directed by Sue Doman,
this 65-voice pops choir presents the
music of Andrea Bocelli, J.S. Bach, Eric
Clapton, John Williams, Martha and the
Vandellas and much more! Featuring the
Starlight Pops Combo led by Phil Hall-
man, and a special guest appearance by
vocal quartet “Four Neat Guys”.

Photo Lumiere: Five Salt Spring Photog-
raphers - June 24 - July 10 10:00 a.m.
t0 4:00 p.m. daily at ArtSpring Galleries.
Five Salt Spring Photographers have
pooled their talents to create a show of
their latest and best work. Birgit Freybe
Bateman, Janet Dwyer, Steven Fried-
man, Eric Onasick and Gillean Proctor.
For more information visit www.pho-
tolumiere.ca

Crofton Market - Local Artisans, Beside
Ferry Terminal, 9:002.m.t02:00 p.m. For
More Information croftonmarket@live.
com, 250-246-8848 or 250-416-0542

Toastmasters of Salt Spring meet every
Monday 7PM at the Harbour House Crof-
ton room. Interested quests welcomed.
Inf0:537-6934.

Breast Cancer Support Group. Call Teresa
at 537-2259 or Deb at 930-5333.

CLOTHING

Lovely black strapless formal gown with
bodice covered in Swarovski crystals
suitable for size 14 grad this spring.
$60. 250-526-0530. 06-11

DRIVING SCHOOL

Cornerstone Driving School has new
classes starting soon. Call Shirley at
250-538-1733. 05-29

ECO-EXCHANGE

Couple willwork onyour farmin exchange
for room/organic food/some cash/elec-
tric outlet for juicing. We are eager to
learn. Open to ecovillage communities
living off the land. firephoenix@live.ca.
any gulf island would be great! aloha~

FREE STUFF

Dump truck loads of torn off cedar roof
shakes, about 8yds, delivered free. call
653-4187. 06-25

Free Gardening Newsletter via email. Re-
questyour copy of The Garden Gnome Ga-
zettetoday. Email: ssigardenservice@live.
ca. Phone: 250-931-1008. 06-25

Soft green upholstered rocking chair in
good condition. upholstered casual chair
with arms and castor wheels. Phone: 250
538-8656. 06-11

The Islands Marketplace offers free ads
to non-commercial advertisers, for a
duration of 3 issues. Leave a message
at 537-2905 with ad description, phone
number and category heading; email
your ad to freeads@islandsmarketplace.
com; upload your ad: www.islandsmar-
ketplace.com; drop it off at our Apple
Photo Drop Box or see page 2 for mailing
address. Most For Rent and Help wanted
ads are considered to be commercial
listings. Rates for commercial ads are 20
cents per word or $7/column inch.

Hackim N° Wackim
Computer Services

Computer Sales & Repairs * Evenings & Weekends

Brien Anderson

Phone: 537-2437

Cell: 538-8271

Email: hackwack@shaw.ca
. By Chef Georgiana Reehl
Thoge Delicious B.C. Oysters!

I love preparing seafood and just simply enjoy finding new and delectable
ways to prepare new and exciting dishes. And perhaps most of all I simply love
oysters.

Opysters are so incredibly tasty and wonderful, and there are so many differ-
ent kinds available to us here on the Gulf Islands and in B.C. But like so many
things, there is a story and a history behind those succulent and delicious oysters
we eat. The native Pacific Oysters that exist in the wild are small in size, no
longer prevalent, and taste nothing like the delicacies you and I know today.

So...Virtually all the oysters we eat come from cultivated oysters that are
farmed from seed. And here the story begins. More than anywhere in the
world, oyster farming has become an incredible success here in B.C. World
class techniques and oyster farming science have created an amazing range of
incomparable and elegant varieties of oysters..and Surprise! Surprise!... all of
them have been developed from the original native Pacific Oyster stock. It is
almost incredible to believe that the 20 or so different varieties of oysters, so
delicate and varied in size, texture, taste and distinctive flavor available to us
here on the B.C. coast, came from the same stock. But they all do. Similar to
the sublime and extraordinary techniques of wine production, it is in the unique
and distinctive aquaculture techniques that such a wide range of remarkable and
exotic oysters are created. According to Sandra Hamilton of Pacific Kiss Oys-
ters, oyster farming here on the West Coast has truly become an art form. She
eloquently explained that like the “terroir” that gives wine its exceptional and
marvelous qualities, there is a “merroir”, or specific geographic aquatic location
that lends an authentic and quintessential quality to oysters also. Oysters can be
raised on the beach, or in suspended trays in the ocean. Depths of culturing can
be varied. Different techniques like “tumbling” are used resulting in amazing
and unforgettable flavors. Some varieties like the Sinku oyster are harvested
at the incredible depth of 70 feet, and they are pink and translucent and incred-
ibly delicate. So much to learn!! So the next time you shuck an outrageously
exquisite and marvelously succulent oyster, think of all the years of effort and
care that has been spent making oysters here in B.C. on the coast such a simply
delicious experience. I know I do. And if you happen to be heading up towards
Comox in late June, you might enjoy the Comox Valley Shellfish Festival on
June 20th. And if not, head on down to Moby’s for some of our world-class
oysters and just enjoy!  Until then...Keep smiling!! ~ Georgiana

LAURIE’S

& WASTE

Services Inc.

DROP OFF next

to Country Grocer

@5}3}9;;}?/‘9) An islan family since 1861

(Oysters Rockefeller

In 1899 when Jules Alciatore of Antoine’s Restaurant in New Or}
leans created and served his oyster dish, a customer said, “this
dish is as rich as Rockefeller’...and because it was green and
the color of American greenbacks, the name and the reference
to the wealthy John D. Rockefeller stuck.

Simple and Quick Recipe

Shuck a dozen oysters and save the bottom shells with the oys-
ters in them. Prepare a sauce with 12 cup chopped spinach,

3 tablespoons butter

2 finely chopped green onions.
Salt and pepper to taste.

Cover the oysters with the sauce

Then grate fresh parmesan cheese over them and flash broil
them in the oven. Add lemon juice, and seafood sauce if you
kwish, and... VIOLA! -

@ Owne Hour Photo Finishing * Variety of Film Available ¢

3 cloves minced garlic
A dash of Tabasco sauce

Locally owned and operated,
. we are your one-stop-shop for
: Digital Imaging & Print Solutions :

@, Custom Enlargements « Passport Photos

Commercial i
Large Clean-ups
lMetal Recycling

Q

TS,

Open: Mon. to Sat.
8am to 5pm
High Art: On The Rock

Salt Spring artists prepare for
2nd Annual Masterpiece Weekend '

June 18-20th, 2010

Salt Spring Island, BC — May 2010 — 24 artists with some diverse
interests including yacht racing, Islamic mathematics, and Italian
sustainable living, all share one passion: creating their ‘best work’
for Masterpiece Weekend. Salt Spring’s premier art event boasts
works by nationally and internationally renowned artists with eclectic
backgrounds and sensibilities that attract art collectors from around
the world. This year each artist will create a piece specifically for the
weekend, presenting never before seen works in the Bateman Gallery
at ArtSpring, the Island Arts Centre.

Artist and gallery owner, Jill Louise Campbell has lived on Salt
Spring for 20 years, a transplant from Montreal via Victoria, BC.
Campbell has also spent time in Italy where the landscape of a remote
valley in southern Tuscany has inspired her latest art offering. “In my
new work, I am drawn into the “joie de vivre” of simple times in tiny
hamlets, strongly fragrant with earth supporting a way of life sustained
over generations by families that still farm their same land. Food is
celebrated in their markets and tables. Life on Salt Spring Island leans

Finally! High Speed
Satellite Internet
starting at $49.99/mo.

systems starting at $199.00
APLORNET

I il ERmIT BRI EWYIEE DR

www.xplornet.com
2540 Bowen Road,
Nanaimo, BC VT 313
Ph: 250-758-7301
COMMU.
Fx: 250-758-0294 Your communications

Email: cercomm@island.net
www.island-communications.com

Serving Vancouver Island and the Gulf Islands for over 25 years

Fd

Artists’ inspired by sweet life in Tuscany, the sea and white ocean suds....

to the simple too. We walk in baby steps, nursing the idea of sustainable
living. Our farms and farmers give me remembrances to this sweet
life in Italy.” Her new work titled, “Simple Life on a Tuscan Farm”,
supports her dream of living in a peaceable world in step with a pace
that gently nurtures a kind way of living.

Scottish by birth and a transplant to Canada, Ronald Smith has an
affinity for the sea. Smith has travelled extensively, sailed across the
Pacific and raced yachts through BC waters. The one time Coordinator
of Fine Art for the BC Ministry of Education, has painted for 60 years
using light, colour and space to guide his artistic preferences. His new
work titled, “Inter Tidal” came to him while looking out his window at
the water view of Wallace Island, the Trincomali Channel and Galiano
Island, all within sight of his art studio.

For artist Ronald T. Crawford, his work is inspired by a recent trip
to Tofino, on BC’s west coast. “My work called, ‘The Resistance to
Freedom’ was inspired while watching the white suds fade into the
sand and then furl back into the ocean. The contrasting patterns remind
me of movements I equate with fundamentalism and the movement of
water, freedom.” Crawford is also inspired by the show’s theme. “I
love the idea of each artist creating a single piece representing their
best work. Each new painting is an attempt to create my best work and
to be involved with 23 other artists’ means each piece has to stand on
its own. This is a great opportunity for each of us.”

The “Masterpiece Weekend” is an event organized by the Salt Spring
Fine Art Group. The Fine Art Group is: Galleons Lap Gallery, Jill
Louise Campbell Fine Art Gallery, Gallery 8, Martinus Studio-Gallery,
Pegasus Gallery of Canadian Art, Steffich Fine Art, Stone Fish Gallery
with sculptor Allan Crane, and sponsors, Hastings House Country
House Hotel and ArtSpring, the Island Arts Centre. For future updates
please visit: www.saltspringfineart.com and to learn more about the

Salt Spring’s art scene please visit: 4 gy LOVERSGETAWAY-©OM

SALT SPRIMG

YA D
%\ [kT Salt Spring Fine Art Initiative Presents

’" The 2" Annual
VA"  Masterpiece Weekend

June 18th June 19th June 20th
10am-9pm  10am-6pm  10am-4pm
Artist in attendance June 18th 6pm - 8pm

At ArtSpring’s Robert Bateman Gallery,
100 Jackson Avenue, Salt Spring Island

A

MNEWS
[

For more information please visit:

www.saltspringfineart.com
By Sandi Poystila

When you first approach the
Falconshead Grill at the Salt Spring
Golf Course, you are easily distracted
by the lush landscaping and expansive
greens of the fairways.

It was a sunny Friday afternoon
at Spm when my family and I decided
to go out for Greek Night, instead
of ordering it as take out, which we
usually do.

The atmosphere was open and not
too busy, which is good when dining
with kids. It was a little too chilly on
the patio so we sat inside and watched
the hockey playoffs - 3 wide screen
TVs at various angles near the bar.

We glanced at the menu, but
already knew what we wanted, our
mouths were watering in anticipation
of the unmistakable greek flavours.

As always we ordered the calamari
and pita dip platter to start. It was
nice to try a new feta cheese and red

THE ISLANDS MARKETF;"ACE RESTAURANT REVIEW:THE FALCONSHEAD GRILI:-RESTAURANT

uth: Wﬂlﬁl’llljflﬂVOlll‘S 0[ GrealGreeksCuisine)

=

pepper dip added to
the trio of humus,
tzatzike and baba

ganoush.

My  husband
ordered the
spanakopita (spinach
& feta wrapped in filo)
and I ordered the chicken
souvlaki dinner. The kids shared a
chicken strip dinner and coloured in the
kids books provided, while I enjoyed
my caesar and view of the golfers on the
course.

The food was delicious to say the
least. The rice was fluffy and perfect, the
chicken was so tender and juicy, definitely
a must have. Andy and I were going to
share, but after one bite of his spanikopita,
he changed his mind and wanted it all for
himself! Chef Ken Brudner really knows
his stuff and with his many years spent in
Toronto’s Greek Restaurants, his Friday
Night menu is second
| to none.

We have enjoyed
<| various greek
restaurants when we
e lived in Vancouver,

Owner Jesse Blanchette with Chicken Souvlaki dinner on Greek
Night at The Falconshead Grill.

for large groups or parties, and owner
Jesse Blanchette is very helpful and

their regular menu either. Reasonably

so in comparison, the
Falconshead Greek
Night is never a
disappointment to our
expectations.

And  you won’t
be disappointed with

A\ 4rF ef F‘Iat:e

New flavou rs,
great wine
& always fresh!

WATERFRONT LOCATION
BREAKFAST 1-11AM
HOURS: 7AM TO 1AM

(@!SSIMARINARPH:|537:5559

250.537.9911 _
103-149 Fulford Ganges
Salt Spring Island, BC

www.marketplacecafe.ca

| |aRBOUR 3
| [QUSEHOIEL

“Forget the 100 mile diet,
this is the 100 yard diet!”

250-537-5571 1-888-799-5571
Restaurant 250-537-4700

Advertise here

Have your Restaurant
Featured in our Summer
issues. Our ad rates

won't hurt your
pocketbook... 4

Call 537-2905 =

saltspringharbourhouse.com

priced with large portions and lots of
choices including a kids menu. My 7
year old exclaimed “Mom, can you
please order more of this for me, it is
so yummy.”

accommodating. A great place to bring
family and friends, anytime, with fast,
friendly service and wonderful food.
The Falconshead Restaurant is one of

Salt Spring’s best kept secrets, that you
really must discover.

With it’s unassuming entrance and
central location, it is an excellent place

FRESH HOMEMADE SOUP &
SANDWICH SPECIAL $7.95 WEEKDAYS

FALCONSHEAD

FALCONSHEAD GRILL.

ESC&PC FI"OITI thc orcllnary...
clnnk & menu spccnals

805 Lower Ganges Road, Salt Spring Island
(Salt Spring Island Golf & Country Club) g E -

www.Falconshcadgri“.com 537-1760
MAP LISTINGS

Map # Business Name

1) Country Grocer

Slegg Lumber

Lauries Waste & Recycling
Ganges Auto Marine

Salt Spring Auto Services
Salt Spring Auto Supply

Li Read - Realtor

Pretzel Motors

9)  Johnson's Auto Services

10) The Local Liquor Store, Bar
11)  Apple Photo Imaging

12)  Paul Joyce Barrister

13)  SSI Scrap Metal Recyclers
14)  James Fogarty Income Tax
15)  Harbours End Marine

16)  Moby's Marine Bar & Grill
17)  Mouat's Kitchens

18)  Et Cetera Office Supplies
19)  Wild By Nature Plants

20)  Harbour House Hotel

21)  Salt Spring Garbage Services
22)  The Party Stop

23)  Falconshead Grill

24)  The Wine Cellar

25)  Saltspring Eye Care

26) Island Signs

27)  Marketplace Cafe

28) Mistaken Identity Vineyards
29)  Emergency Preparedness
30) Jill Louise Campbell

31) Masterpiece Weekend

32) Salt Spring Natureworks
33)  Harlans Chocolates & Gelato
34) Partytime Rentals

35)  Acoustic Planet Music School

MOBILE BUSINESSES:

Pure Spa Mobile Spa, Maids Personally,
Solid Construction, The Mowerman,
Friendship Fundamentals,

Horel Trucking & Excavating, Dave’s
Drilling & Blasting , Reynolds Carpet
(leaning, Hackin’ & Wackin’ Computers

LR R R IC O

Silver Shadow Taxi, Cornerstone Driving
Island Communications - Nanaimo

COWICHAN BUSINESSES:
Lito's Cafe & Galleria, Ocean Soul Caffé
The Happy Denturist, Al's Asian Treasures

+ FERRY TO
+7  CROFTON
4

’
OSBORNE
- BAY

tCR FTON, BC

MAPLE MTN
CENTENNIAL
PARK

MAPLE BAY

VANCOUVER
ISLAND

COWICHAN BAY

LANDING

7
4
\ -7
FERRY TO -
TSAWWASSEN \
&GULFISLANDS ~
= ~
a

MT. MAXWELL
LOOKOUT

Fu\ﬁo(d

Ganges R

Fulford Hall

FULFORD
ARBOUR

. RUSSELL
LAND
\
MT. TUAM \
ECO RESERVE SA BE;LA PT.
s FERRY TO
b SWARTZ BAY

— 'lr'-l

naturewc-rka

Te Saland s T e

announcing our long awaited move to summer hours

monday - saturday | 9-6pm
sundays | 10-4pm

shop sundays in
o sl things

une and save 104

t not everything

116 lower ganges road across from the firehall
250-537-2325

[just waiting for Summer fow ...

The Islands Marketplace
2010 Summer Contest!

So ya think you know Salt Spring?
Put your smarts to the test

with our Summer Scavenger
Hunt Contest!

Watch for details THE ISLANDS
in our next issue arket lace

WWW.ISLANDSMARKETPLACE com
VANCOUVER T

ISLAND GULF 1SLANDS
JOSPITAL

GANGES
MARINA

MiDpLg
SCHooL.
GULF ISLANDS
SENIOR
SECONDARY

<«———ONEWAY HEREFORD ROAD

SRR

MCPHILLIPS AVEN

ONEWAY —_—

JACKSON AVENUE

MOUATS ‘ 6'

il SEAVIEW AVENUE
FERRY TO
VICTORIA

Village Map

T0
FER‘\K"\'(W ASSEN

W o E
P
LEGEND
S (gPay Phone
COAST QﬁPlayground

GUARD DOCK

O Bank
(D Washroom

O Gas Station
Library

Get your Business
Listed on the Islands
Marketplace Map!
Call 537-2905 today!
Next issue is
Friday, June 25

C:l' Mistaken ldentity

«Growing( Certified Organlc Grapes

Ph: 250-538-WINE (9463)
Toll Free 1-877-918-2783
Open Sat. & Sun. 12-5pm from May - June
and 12-5pm daily beginning July 1.
164 Norton Road, Salt Spring Island, BC

mistakenidentityvineyards.com

¢ FRI, JUNE 11 8pm to 11pm
Rock with HEYBOY HEYGIRL
* SAT., JUNE 12 -8 to 11pm
Roots with LANE 31
* SUN. JUNE 13 -7pm
Jazz with PRESON & BONKOWSKI
*FRI, JUNE 18 -8 to 11pm
Rock w THE BROKEN STRINGS
* SAT., JUNE 19 -8 to 11pm
Blues with UNCLE WIGGLEY’S
HOT SHOES BLUES BAND
* SUN., JUNE 20 - 7 to 10pm
JAZZ w/ DEPARTURE
* THURS. JUNE 24 -8 to 11pm
Blues w/ SOUL SHAKEDOWN
¢ FRI, JUNE 25 8pm to 11pm
BLUES with PLANET MUSIC

[@/SSMARINAYPHI537/5559

O Cobnsons O
AUTOMOTIVIE
SIERWVICIES

BCAA APPROVED REPAIR FACILITY
Gas & CONVENIENCE IN THE HEART OF TowN
AuTtO REPAIRS

106 Lower Ganges Telephone:
Saltspring Island, V8K 257 250-537-2023

r

\

LOCAL

Liquor Store, Bar & Bistr

Specialty\Wines:iBeersfand Liqors.
Snacksjlcelandiliobaccolproducts:

Open 7 days a week, Next to Centennial Park.
Pelivery to boats available.

250-537 WINE (9463) w/ Free WIFI y
Salt Spring Garbage Services Ltd

The'Islands Marketplace - 'SUDOKU -3

Serving and supporting the community for over 40 years

Garbage dropped off $3.00 per bag
The only full service home pick up $3.75 per bag

e Spring/Summer Hours
Monday to Friday: 8:00am to 5:00pm

Saturday:

10:00am to 4:00pm

FURNITURE

Small antique book table. $75. 250-

416-0608. 07-06

Very surdy wooden rocking chair.
$100.00. Phone: 250-416-0608. 07-06

House consolidation sale. Three din-
ing room tables -1 oak ($450) 1
newer teak(650) 1 older teak with 4
chairs (400). Also, high end love seat
& sofa(400), glass end table(50), two
paintings, & single bed with comforter
(75). May be viewed Sat., June 12th
(9:00 a.m to 1:00 p.m) @ 112 Teal
Place. Tel. 537-5224.. 07-06

Metal framed futon sofa bed, $100 firm.

FURNITURE

Leather top, round Mexican table and four
chairs. In nice shape, we no longer have
room. $300.00 250-538-0082. 06-11

White resin-coated round pedestal table
w. 2 matching chairs designed by Dan-
ish designer Saarinen, great for inside or
outside. $150. 250-526-0530. 06-11

Lazyboy Love seat ,beige color with floral
pattern good condition, asking $250.00
may be seen by calling 250-537-2966.

Two-tier oval glass coffee table, about 4
ft. long; $100; 537-4289.. 06-11

Upright Freezer- $100.00; lkea Kitfchen

_ } Table & Chairs -$50.00; Oak Coffee Table,
7 2] 4 2 | 537°8455 0706 & Side tables $100.00. Queen Size Inflat-
Kitchen table and 4 chairs, good shape, able BHed. Phone: 250-537-1802. 06-11
. » $75. Phone: 250-537-5278. 07-06
Eiﬁ bgg_;gcliners, $250 for two. 537- Got News & Events?
8|9 23 6 Q . hidebed, florel $50. Ph Email info@
ueen hidebe , florel tones . Fnone: 1
% 250-553. 4286 0695 islandsmarketplace.com
N7 ] 1 3 8 7
o]
[ —
E|5 4 Dave
° ] L]
et Phillips
- | 2|3 i 7 9
(<)) g
= “When in
o 1 7|9 5 4 Doubt...
S
w
2|6 |09 5 3|1 Bus: 937-2618 Cel: 537-7481

The Islands Marketplace CROSSWORD PUZZLE

Answers are on pg18. Provided by BestCrosswords.com Used with permission. i []
Across
1- Best of a group; 6- Tenuous substances; 11- Kareem, once; 14- i T 14
Eurasian juniper, 15- Lassa; 16- roll; 17- Exedus orging 18- Borders;
19- Small batleries; 20- Appraise, charge per unit; 22- Brng forth from the |*7 ™ e
Egg: 24- Crazy, 28- Capricious; 30- Sheath; 31- Finnish name of Finland, i
32- Distibuled cards; 33- Belllike rasteninal'c-r a garment; 37- Like some o B e
wbs.; 38- Opening; 38- Acter Stephen; 40- Halloween accoutremants; 43- | — n——
Person of exceptional holiness; 45- Sleep disorder; 46- Cylindrcal; 47-
Undensriler; 50- Sheer fabrc of silk; 51- Browned sliced bread; 52- T 5
Egyplian canal; 53- Thunder Bay's prov.; 54- Graval, 57- Japanasa
immigrant; B2-°__ Venbura® was played by Jim Camey; 63- Awaken; 64- 53 - T T ]
Parachute material, 65- 1980's movie starring Bo Derek and Dudley
Moore; B6- English rayal house; 67- Vulgar, i T] ¥
Dm IT:] 1] T, & T
1- Compass pl.; 2- Fall behind, 3- Climbinaviﬂﬁ; 4- Ape; 5= Confide; B-
Actrass Scacchi; T- Adjutant; 8- Dnoop; 8- Het Gme in Parnis; 10- Japanessa i 16
dish of raw fish; 11- Reluctant; 12- Make into law; 13- Pallid; 21- Candle
count; 23- Mot "ler; 24- Doclor, 25- Diciembng follower; 26- Su n;u:?f ol il i
souvenins; 27- Aclor Linden; 28- Covered with fur; 28- Bananas; 31-
Collection of Hindu aphorisms; 33- Facial expression used by Elvis " =
F'ruﬁloj.r, 34- Sorrow; 35- Slow, Musicalli.:, 36 Congumed, 38 expen, —— T ———
bui..; 41- Makes brown; 42- Amivista; 43- Taking; 44- Pound sound; 48-
Common article; 47- European emmine; 48- de Leon; 48- Like - = —
Cheenos; 50- More adorable; 52- Indifferent, 55- Former coin of France;
56- Cow chew, 58- Lab. neighbor, 58- _ -mo; 60- Auncra’s countarpart, 33 ey ¥
61- Cannections;
The Happy Denturist genuinely cares
for clients in community and beyond

By Rhonda Jury ~ jayfive@shaw.ca

Tucked
Warmth Fireplaces and Susie’s

in beside Clean

Restaurant at the corner of
Crofton Rd. and Chemainus Rd
— some old timers may remem-
ber this location, historically, as
Pinscent’s Corner— is the tidy,
wheelchair accessible, office of
‘The Happy Denturist’ team—
Brian Harris and Judy DeLain,
and Janene Spooner.

Brian and Judy are friendly
professionals that go out of their
way to serve the community that
has graciously supported them
in their business since they re-
located here in 2008. As well as
doing dentures in house— this
team travels up and down the
island providing ‘in hospital’
denture care for their less mo-
bile clients in Ladysmith, Croft-
on, Chemainus, Saltair and Salt
Spring Island. They are also
pleased to offer free ferry pick
up and drop off from Cooper Is-
land and Thetis Island.

Judy explains “...we try to
help in any way we can , of-
ten just accessing dental plan
information can be very chal-
lenging —so we really do our
best to break things down and

simplify the whole process for
our clients.”

Brian’s family immigrated to
Canada from Kingston Jamaica
in 1961; he attended University
of Victoria, and graduated den-
tal school from the North Al-
berta Institute of Technology in
Edmonton. Judy was born and
raised in northern Alberta, and
she received her dental assistant
training from N.A.L.T in Edmon-
ton as well. Brian established
a successful practice on Gold-
stream Avenue in Colwood, and
served the community for thirty
years before Judy joined him in
1993, shortly thereafter becom-
ing his wife. In 2008 the couple
decided to move to the seaside
village of Crofton and relocate
their business to the Crofton cor-
ners.

People are often hesitant to
pursue dental issues because of
a variety of reasons: fear, funds,
and mobility are often among
them. ‘The Happy Denturist’
team works hard to remove these
obstacles because they genuinely
care about people. They provide
a clean, safe environment to al-
low people greater denture com-

Waiting for the ferry? Take alook... Have coffee, read a book @
Crofton’s Cool Little Bookstore

Ocean Soul Book Caffé

ALL BOOKS “til June 30 ic

, Tny;ou;@h‘angJ

’4#

Shakes;&Ice,Cream

1578 Joan Ae, Crofton, BC Ph: 250-246-1977

2nd Annval Crofton
(OMMUNITY GARAGE SALE
SAT. JUNE 12 - 8AM - 4PM
All Day - all throughout Crofton

R
fort— improving the quality of (| "-'r{:“, The\
their day to day lives. No refer- - il Happy

ral from a dentist is needed; all
work is completed in their in
house lab— making this ser-
vice more affordable.  Full
denture services available, par-
tial dentures and dentures over
implants. They will work with
your dentist if requested.

Being new Chamber of
Commerce members, Brian
and Judy hosted a well attended
‘mixer’ at their office on June 2.
They were happy to meet many
new friends and associates, and
would like to thank all who at- \_
tended.

suwe: Denturist
Brian Harris

21 years of competent &
friendly service

e Complete Denture Services
¢ In-house Lab

¢ Same day Relines/Repairs
e Partial Dentures

¢ Dentures over implants

246-4674
#7-8377 Chemainus Road

The Little Office Near
Clean Warmth Fireplaces W,

it
g —er :

Exceptional Quality Imported Asian Products

Al’s Asian

Treasures ”,_,‘

Exotic Collection of
Indonesian art, crafts, home

& property decor & furniture,
including jewellery, paintings,
statues, metals gates & more...

%729360/smiley]RdNChemainus §2507323696

Every 2nd Thursday is Cruise Night at Lito's!

Seniors can cruise with their BC Gold Card for free to Lito's for Supper.

June 17th is Cowboy Night...
July 1st is Greek Night...

More details at: www.litoscafe.ca

+ Gourmet Muffins * Delicious Homemade Soups
« Salt Spring Organic Coffee « Breakfast & Lunch Menu
including Lito’s Daily Entrees

I LITO'S CAFE & GALLERIA

FANTASTIC COFFEE - GREAT FOOD - GIFTS - CARDS - LOCAL ART
1532 Chaplin St, Crofton - 250-246-5406

- www.litoscafe.ca
Planmng the Perfect Summer FParty ~ Salt Spring Island 5tyle

iy

WE MAKE WINE FUN

AND AFFORDABLE

* On Premises Wine and Beer Making

* Premium Wine and Beer Kits
¢ Full selection of wine and beer supplies for home brewing

131 Price Rd 250-931-1963 Hours: Tue. - Sat. 12:30 - 4:30 or by appt.

[ 4Ving Water Media Se,.‘, ices

Audio Recording - Mixing -
Mastering - CD/DVD Duplication - PA Rental
- Remote Location Recording - Digital Video Production,
Editing, DVD Authoring - VHS to DVD -
Budget Websites & Video Hosting - Live Video Streaming.

250-537-0832
W, jj Vmgwatermed‘a

v

OLDS ~

CARPET & UPHOLSTERY CLEANING since 1964

« 24-HOUR FLOOD RESTORATION * Hypo-Allergenic Cleaning Products
* Truck Mounted Steam Cleaning  * Deodorizing & Scotch Guarding
* |ICRC Certified *Spot Cleaning
» Environmentally Safe Products ~ * Industrial De-Humidifiers
* Wall to Wall Carpet Cleaning & Air Movers
& Area Rugs * Dust Mite Spray
* Tile & Grout Steam Cleaning * Cars, Trucks, RVs, Boats

RESIDENTIAL & COMMERCIAL
REYNGL

250-537-4208
250-53T-H168

L

Call us for a free estimate!

250-537-4208 iR 250-537-8168

7His s what. I ewas fffx&fﬂﬂ,,,
¢ Party Planning 101

By Tracey Supina

As this fine sunny weather approaches we all are in the mood to
hang out in the yard, pull out the BBQ and get grilling. Ilove out
door parties. I have huge plans every year to host a kick ass one. 1
plan and talk about it until summer is almost over and more times
than not it is the impromptu BBQ of family and friends that stop by
which is the best one of all.

Here is a little guide I like to follow when I do throw that fantastic
BBQ. Icircle the date on the calendar that does change 8-10 times
for one reason or another.

Then I make the guest list, now the stress begins...who goes with
who, who gets along with whom, and most of all who will interact
and keep the conversations going. By the time I have invited what I
call a few close friends and family I have now generated a list of what
some would call the guest list from a royal wedding.... I scratch off
this one and that one and the guilt of peoples feelings being hurt then
my date on the calendar has changed to fit into everyone’s schedule.
WHEW.... Now the fun begins.

Invitations are a must! I have through the years given verbal invites
but find if you send a real invite via mail or email there is a commit-
ment responsible people feel so send one up 3 weeks minimum before
the date.

Maids Personally

- House Cleaning & Welcome Home Services

‘“ u Want ‘Lt d'O’ne, 9
You Wa  make it happen!

Professional & Bonded
Email:

Phone:

250-537-1517

georgianareehl@shaw.ca

We set up elegant Spa Party’s in
the garden, on the deck, by the sea.

Spoil yourself and your guests with aromatic

massage, mini facials + Howerpetal footbaths. “Tetra Dimock

Celebrate bridal showers, couples retreats, p.250 538 8223
birthdays and precious moments. w sall‘sprlngmassage.com
Planning the Perfect Summer Farty ~ Salt Spring Island Style

Contact any of the businesses on these pages for services & products that
will help you with planning the

perfect summer party! partytlmeRENTALS

The menu and what people will bring. Thisis a greatthingbe- || SALTSPRINGISLAND
cause everyone wants to bring something, I love that idea! Give your .
friends the food you least like to make and “Whoo hoo!” that is done. * Indoors or Outdoors Catemng
. Next take inventory of cut}ery, plates etc. Nothing wrong with qual- *We ddings, Birthdag g Social Gathering, any size.
ity paper plates for that outside BBQ. Shop for non-perishables about . .
two weeks before that is lots of time for this. One week before I usu- * Lunch & Dinner Cruiges out of Ganges Harbour.
ally think about the music and where everyone is going to sit. Time * Total P artg Rentale

to hunt down patio chairs or better yet tell a few of the friends to bring
some. Find a great outdoor table or two to put everything on. Call 250-537:0054 .
The day or two before buy your groceries. If ever I bought my WWW.saltsprlngcaterl ngbykel Iy.com
groceries too early the boys would always eat most of the “cool stuff”
that I don’t usually buy then I would have to go back to the store and
get more. And one thing that is very important - don’t forget lots of
ice.....ahhhhh I need lots of ice for my drinks.
Now time to clean the house, even though you say outside BBQ M k ]
you know people are going to go inside. I clean, I decorate, I get the a e lt an
house ready and then I move on to prepping what I can for the BBQ.

The day of the party, last minute touch up, prep work, and get eleg ant affair l

what I need cooked ready to go. If everything is ready that can be

done....then you will for sure be able to relax and enjoy, raise your .

glass, make a toast.... cheers! Wlth
H SALTSPRING ISLAND BC S -

Call us for Custom Gelato Cakes! -
Over 100 Different Handmade Chocolate Confections .
Homemade Italian Gelato and Sorbetto
Call 250-537-4434 Open 9am till 10pm daily
=

TENTS ¢ TABLES * CHAIRS * DISHES * GLASSES °* LINEN

Across from Salt Spring Islands’ Saturday Market

www.harlanschocolates.com * Tents « Tables « Chairs

+ Linens + Stemware
* Place Settings

L
* Dhance Floors = BBOYs

8y o
U : o -
C 0 l.D--'l { \ZO N E Your Largest Local Source For Party Rentals

- = - All under one roof! - - -
MOBILE REFRIGERATION SERVICES /‘x. AN L. o A N .f\
538-0388
* 300 cubic feet of cold storage delivered to your door ® | Tl Free 1.866.538.0388 |
* [deal for weddings, parties and special events ¢ Serving Salt Spring for over 10 years
* Daily, weekly or monthly rates ¢ #1 - 327 Rainbow Road

Hours: Mon. - Friday 7:30am - 5pm e Sat. 8am - 4pm
250-653-4154 or email macdonell.s@shaw.ca p—
@ Visit our website at: www.rentalstop.ca
SALTSPRING SOLILOQUIES s

“What If It Ie True” ‘-

“I do not know what I may appear to
the world, but to myself I seem to have
been only like a boy playing on the sea-
shore, and diverting myself in now and
then finding a smoother pebble or a prettier
shell than ordinary, whilst the great ocean
of truth lay all undiscovered before me.” ~
Sir Isaac Newton, (perhaps one of the most
influential scientists in history)

What if it is true? What if we are not
as smart as we think we are? None of us.
Every brilliant genius, all the world class
thinkers, dreamers and philosophers that
have ever walked this earth, since the
beginning. What if the hallowed, crowning
achievement of the human race...logical,
rational and ordered human thought were
absolutely proved to be primitive and
deeply flawed? That instead of supreme
and prestigious arrogance at the astounding
brilliance of rational thought, the truth is that
for 10,000 years we have been whistling in
the dark? That the magnificent, complex
civilization,  astonishing  technology,
scientific order and method, philosophical
conjecture and reason we have created were
irrefutably shown to be built upon sand.

The Islands Marketplace

HOROSCOPE

Just suppose this were
to be so. Suppose that the
real reason our human society is
disintegrating around us and we cannot truly
find the answers that will turn this human
juggernaut of chaos, confusion, brutality
and despair now raging through our modern
civilization around is because we are not as
smart as we think we are....that the way our
minds function is wrong. Forget about trying
to conceive of such a monstrous error...what
in holy heaven can you and I do about it?

50 years ago humankind took a leap
of faith together and focused upon an
impossible dream. The Moon. It was a
dream that took miracles, and millions of
small steps by simple human beings. But we
did it. Human beings walked on the moon.
But that was just a small step compared to
the monstrous leap of changing the way
the human mind fashions meaning, order
and reason in universe. Child’s play to
uncovering the secret error in the colossus
of logical, rational human thought.

Where in the world would we begin to
reach for this new, impossible dream? Where
could we start?

Jim Anderson is a writer livingon Saltspring. He is working on a metamorphosis
of the human mind. © 2010 by Jim Anderson, Saltspring Island

First of all we must see beyond the
apparent insoluble and vast diversity
that humankind appears to evidence.

We must discover that beneath it all
we are the same. In the 60 million or so
cells each of us have the life transpiring
there is the same. Metabolic pathways.
Cellular biochemistry. DNA. Organelles.
Mitochondria. We have discovered that all
of us are stamped with the same imprint.
All of us share the same process. And
that discovery, and that secret oneness
has permitted us to entertain the dream of
solving the mystery...has given us hope that
there is an answer there waiting to be found.
So it is with the mystery and dimension
of human thought. We must believe
that there is a unity and commonality
there also. Beneath the imponderable
complexity and incommunicable diversity
that manifests on the surface everywhere
in our disintegrating society, at the core
center each of us must use the exact same
elemental process to formulate logical,
rational thought. Like dreaming of walking
on the Moon, we must begin to dream that
we can find that deep, elemental process
all of us secretly share. And together we
must find the faith to believe that once we
discover this secret, we can again do the

For your daily stars,
personal horoscopes & more
visit www.patrickarundell.com

impossible, reach for a new star and begin
human thought, and human life on earth
again...in a different way.

Beneath the abstract, formless stream
of awareness, when we try to make “sense”
of universe, when we seek to formulate
order and reason with logic and rationality
each of us use a deep and primary process
that we have yet to discover and appreciate.
And like the essential and elementary
process of life that riots through our bodies,
we manifest and maintain deep within us
all a platform and a process beneath all
rational, logical and ordered human thought
that together we can uncover and transform.
And that secret and ancient process began
long ago at the beginning, in the darkness
of prehistory. Together we must believe
this to be so. Like the revelation that
human beings underwent when they saw
the perfect, blue jewel of Earth from deep
space, being able for the first time in all
creation to see the human mind and logical
human thought from the deep perspective
of that star of more evolved understanding
will open the door to higher ground and
survival for us all.

Comments, criticism, compliments?
Talk to me: sevenunion77 @shaw.ca

ARIES Mar 21st - Apr 20th

The big mover this week is Venus. Well, that is
for a tiny planet. But she glides into the most
glamorous of the zodiac signs, Leo, and in the
most super, funky part of your horoscope. This
also sets up a delicious link with both Jupiter
and Uranus in your zodiac sign. If you are looking
fora new start in love, the portents are superb. A
real sense of excitement is clear.

TAURUS Apr 21t - May 21st

You can gain enormously from someone’s
wisdom. This could be an inspiring teacher if you
are a student or if you're interested in personal
development, a new source of information can
give you greater understanding of yourself and
life, which can prove both comforting and reas-
suring. People with unique ideas, can resonate
that much more strongly.

GEMINI May 22nd - Jun 21st

You can be a bubbly person and this week’s as-
tral picture is going to do everything to help you
to show this to the full. Expect to be Popularity
Central with all sorts of interesting invites and
people making a beeline to gain from your buzzy
vibe. Your imagination can also be awesome.
This is a time of very rare celestial magic. Do use
it to the full Gemini.

CANCER Jun 22nd - Jul 23rd

Your business and financial horoscope is looking
exceptionally promising. However, to make this
count, you might need to take a break from the
past. So, if an unusual job is advertised or your
boss asks you to take on a different type of role,
it may turn out to be one of the best things that's
ever happened to you. Stay open-minded and
on your toes!

LEO Jul 24th - Aug 23rd

Is there anyone prowling around the astral
jungle who is quite as beautiful as you Leo?
Absolutely not and of course, I'm showing te-
merity by even begging the question. Afterall, |
wouldn't want to hurt your pride...But seriously,
as glamour girl Venus arrives in your sign, this is
your chance to strut your stuff. So, puff out your
chest and dazzle and beguile.

VIRGO Aug 24th - Sep 23rd

Ifyou're in a love relationship where one of

you tends to be rather controlling, this can be a
crucial phase. You'd be wise not to take a partner
for granted. Secrets can have a habit of tumbling
into the open, or are you going to surprise
yourself by a compulsive attraction to someone
new and rather mysterious? If you're cautious,
continue to mull things over.

LIBRA Sep 24th - Oct 23rd

Your love life is going to be a time of thrills, and
yes perhaps the odd skirmish. Why? Because you
are starting to crave excitement, but at the same
time you must understand you can't just get this
from the person you are interested in, fancy or
live with. It has to come from a change in your
outlook too. So, don't settle for second best, but
be proactive.

SCORPIO Oct 24th - Nov 22nd

Polish your image. Giving an air of capability
comes naturally to you, but now your stylish
persona can open the doors of possibility at work
too. Your relationships with a boss can improve
or someone influential can take you under their
wing and try to guide you. Novel ideas can do
well, so win over a skeptical audience by giving a
slick presentation.

SAGITTARIUS Nov 23rd - Dec 21st

One of your greatest gifts is your inquisitiveness.
Some people take life at face value, but not you,
the more you can probe and journey into new
and exciting vistas, the better. Between now and
August can be a very positive period to engage
in the new and the exotic. In relationships, you
might find yourself being pulled to someone
very spicy indeed.

Bi-weekly horoscope contributed by Patrick Arundell. Visit his website at www.patrickarundell for more great features... see below.

CAPRICORN Dec 22nd - Jan 20th

You are the sign of the traditional, but some of
your interests and ideas have been anything

but in recent years and now you can apply your
inventiveness to the home. This may see you
suddenly up sticks and move to a new environ-
ment or search on-line to understand who your
ancestors were, Your abode can also be used for
gatherings or a party plan night.
AQUARIUS Jan 21st - Feb 19th

Venus sweeps into your opposite sign and even
the trickiest of opponents or rivals can seem that
much less daunting to get along with. Your mind
is working superbly well too and if you need to
find the right choice of words to make a good
impression, you can come across in a quirky but
very genuine way, one which can help to melt
any barriers to you.

PISCES Feb 20th - Mar 20th

Finding cash hard to come by? Stay resolutely
assured that you can unlock the solutions to
this. Modern technology is a sure fire way

to improve things and even if you just sell a

few unwanted goods on-line, it can give your
confidence a boost and put some extra dosh into
the kitty. Part-time roles may also be of interest
- especially if you can do more than one.

Leisure ~ Pleasure 2010

+ Love ~ Romance 2010 - Health ~ Fitness 2010 - Work ~ Wealth 2010 - Myths and Legends -
Workshops are a great way to bring people together — both young and old. Pursuing
passions is something we do not always get the chance or put the time aside to do. But
if not now... then when!?

In our community of arts and music opportunities, take some time this summer to
try out your hand at something new or hone in on skills you’ve been working on all
year. At Acoustic Planet, you can choose fiddle or bass, drums or group play — be a
rocker in a band or do some private lessons to get you in the Groove. Engulf yourself
in those with the passion of music and walk away with something more than you
came with.

If you are thinking of joining the middle school band, beginner band enthusiasts
will have a great time with Bob Delion, Dan Leavers and Greg Esposito in Rock
Camp from July13-16 from 1pm — 3pm. A more advanced version of this Rock
Camp is offered from August 9th — 12th. The recording studio will be simultaneously
running a camp that will give both groups the opportunity to play and record.

Fiddle Fun camp with Angeline Hensen is just that... FUN! There will be time to
learn violin, play in a group and have some fun with paint and clay too! Angeline will
be facilitating fiddle camp July 13th -16th from 10 a.m.-12 noon.

If the sound of the drum moves you, then perhaps a group drum, rhythm camp will
get you on the beat! Running from July 19th-21st from 11a.m — 1 pm, Dan Leavers
will guide you through the basics!

Our most exciting new venture is the Acoustic Planet Music Recording Studio
where beginners to advanced performers can lay down their lines and walk away with
a professionally recorded piece of music. Have you been writing your own songs?
Let’s get them digitized!

If finances are an issue, our GEMA (Giving Everyone Music & Art) program might
be of assistance. Founded several years back, an account was set up to receive funds
from fundraisers, grants, and donations that would be put towards the cost of music
lessons for those in families having financial hardship. If you need assistance or if
you are able to sponsor a music student, please contact us at 250 537-9668.

The studios will be open throughout the summer for workshops, camps and private
lessons including drop in lessons!

Now is the time to start. If not now, then when?

Call 537-9668 or email acousticplanet@shaw.ca to inquire further.

{3 Summer 2010
Musie/Aet Camps,

WITH ACOUSTIC PLANET MUSIC

ROCK CAMP July 13-16
From 1-3pm - for Beginners...........cccoeeeenee. $100

ROCK CAMP August 9-12

from 1- 3pm - for Intermediates................$100

July 13- 16

-l

FIDDLE FUN CAMP
from 10am to 12 noon - for fiddlers........... $100

GROUP DRUMMING July 19 - 21
from 11am -1pm - Group CIass .......c.ceeeeee. $100

LEARN HOW TO RECORD \.\s
YOUR SONG PROFESSIONALLY TBA

= 250-537-9668 acousticplanet@shaw.ca

#2 - 150 Fulford Ganges Rd  www.acousticplanetmusic.ca
ERIENDSHIP,

FEUNDAMENTALS

“Our emotions impact both our motivation and our ability to interact
socially”.

Possessing social competence is fundamental to leading a “normal”,
“healthy” life. Inadequate social skills impinge on development by
increased “interfering” or maladaptive behaviors and a decrease in
the positive development, support and learning opportunities found in
successful peer relationships.

Friendship FUNdamentals summer camp program focuses on
increasing social communication skills(pragmatics), teaching self
regulation skills , helping with sensory integration issues and anxiety
triggers,reducing “interfering or maladaptive” behaviors,increasing
friendship skills....and is focussed on having FUN.

July camp is almost full, there are only 15 spaces left throughout
July and August. Ages Syrs to 14yrs welcome, we are an “inclusive”
camp. Our fee($125.00 per week Mon. to Fri. 9am -4pm) qualifies
for MCFS/CLBC/SCD funding. The staff include myself ,and one or
two counsellors trained/ experienced with special needs. Our groups
are small so as to focus on each child’s needs (6 per week...ratio 3:1).
If there is/are children requiring one to one support there will be 6
kids to 3 staff (ratio 2:1). Please call me at 653-9556 or email me at :
jaimehh3@hotmail.com

Registration pkgs can also be picked up and dropped off at SSE or
Fulford Elementary school offices.

For more summer camps for kids visit our website archive
page for the May 28 issue of The Islands Marketplace at:
www.islandsmarketplace.com/archive.html

,.FRIENDSHIP~

Eap)N‘iwmbalsj

Friendship FUNdamentals enhances friendship
(social) skills, helps improve communication
(pragmatics), teaches self regulation (reducing
interfering behaviors) and ways to reduce anxiety.
We also focus on motor skills and sensory issues.

Through drama art,musm,games and various

outings' we'have'FUN in%a mcluswe*settmg

= i | w S .
Ages'5yrs'up. Camp"ru"nls 9am'to 4pm Monday to'Friday

beglnnlng JuIy 5thCamp'cost'is $1 25 per week:

-

For more info and a registration pkg please emall me at
jaimehh3@hotmail.com or you can pick up a registration
pkg at The Salt Spring or Fulford Elementary School Offices.
GARDENING HEALTH & WELLNESS

HEALTH & WELLNESS

METAL RECYCLING

8 light green umbrella, Brand New. $99

home depot. Asking $65.00. 537-9981.

Wanted: one free wheelbarrow in pretty 5
good shape needed for community gar-
den. We thank you! Please call 537-4562.
06-11

Caylalillies bulbs, $1.00 each. Dahlia tu-
bers, 75 cents each. Call 537-4110. 06-
1

6 foot handcarved stone-standing Bud-
dha statue. $1295. Call 250-732-3696.
05-14

Experienced garden help. $15 per hour.

t Spring

Dr, Bndrea \/ag'u,

Weeding a speciality. Call 931-7193. 06-

l GARDENING

158A Fulford Ganges Road,
Salt Spring Island, BC
V8K 2T8

Tel: 250-537-4356

Massage bed, electric towel heater, facial
steam machine, $300 for all. 537-5444.
06-25

Wild by Nature
OQ}_

Plants Trees and Shrubs
All 6ft. Magnoha Trees
now only $49.00 ea.
Sale ends June 24th
(Cash or Cheque Only Please)
239 Vesuvius Bay Rd. 10:00-5:00 msmago0239@telus.net

Wanted: stationary bicycle in excellent
condition to rent or buy. Call: 250-537-
9872. 06-11

Rife Energy a new way of experiencing
healing. 537-2259.

HELP WANTED

Looking for extra help cleaning our
beautiful rental cottages, most Fridays,
July and August 10am - 2pm (approx).
Good rates paid - please call Sally at Ma-
racaibo 537 2878. 06-25p

Lawn & Yard Care
» Mowing T
- Power washing
- General Yard Cleanup
- Trimming Ly
+ Tilling

saltspringmowerman@gmail.com

CROSSWORD PUZZLE ANSWERS

Answer for this issue’s puzzle
Provided by BestCrosswords.com Used with permission.

HOROSCOPE

Learn about your lovelife, health, work
and wealth in 2010. Have your personal
horoscope emailed to you. With over
12 years experience, astrologer Patrick
Arundell provides intelligent, accurate
and unique insight into the ancient craft
of astrology. Visit www.patrickarundell.
com for accurate daily and weekly horo-
scopes, anytime. CYour horoscope on-
line at: www.astrology-enterprises.com.

LOST & FOUND

Found! The John Lennon Book was re-
turned to the Library BEFORE the due
date. A Salt Spring Miracle. Thank you!!

Email your free ad to:
freeads@islandsmarketplace.com
WMetallRecycling;
Free Scrap Car Removal

Call for pick-up from Galiano,
Mayne, Saturna & Pender

Will pick up.
ey Loose metal &

- J, appliance drop off.
Fridges & freezers

Cash for non-
ferrous metals.

538-8335
Call for estimates: 538-7730
440 Rainbow Rd, Salt Spring Island

MINC. FOR SALE

Suh-mar compact composting toilet
system. Never used. About same size
as water toilet. Easy to install. New price
over $1200. Asking $950. 250-537-0612
- pm. 06-25

Brand new Hunter ceiling fan still in the
box. Osprey# 28496. White, 3 blades,
clean lines. Paid $271 at Home Depot.
Yours for $100. 537-4311. 06-25

Huge umbrella, sunshade. | have a mint
condition Envirodesigns Pendelax V+
Sunshade for sale. Recently moved from
a home with a large deck into a condo.
No room for this beautiful and useful
umbrella. The Umbrella is Grey and white
in color | paid $2,400 +tax for this. | am
letting it go for 1/2 price!! It is made of
commercial grade materials and is in su-
perior condition, always covered at night
and stored inside in the winter. See www.
envirodesigns.com for information and
pictures. Phone: 250-882 1026. 06-25

Very beautiful, very heavy chessboard...
black onyx and agate.. $20 firm. Board
only. Phone: 250 537 0710. 06-11

MOTORCYCLES

Honda passport, 1981, 2600kms only,
exc. condition. Scooter, perfect for the
island. $1150. 537-2623. 07-06

~69 Harley Davidson FLH~ 47,818 origi-
nal miles. All matching numbers. Gener-
ated bike with original cloth wiring and
drum brakes. New HD tires. New Bat-
tery. Original white solo seat and match-
ing tour box for the back rack. Won in
the Show and Shine Vintage class. With
collectors plates, | pay $217 a year for
insurance. If you are an Old School rider
than this Old Shovel is the bike for you.
Email: lazacre1@telus.net Or Call 250-
713-2227. 250-295-3633. 07-06
MUSICIANS

Local Musicians! Get listed Online in
The Salt Spring Musicians Directory.
It's Free! Go to www.vollent.ca/salt-
springmusiciansdirectory  or  email
dvollrath@saltspring.com

MUSICAL INSTRUMENTS

1984 Ibanez LS300 Dreadnought 6
strings Acoustic Guitar - Perfect shape
- $2000 USD - Contact: Georges - 951-
263-4940 - georges@cyme.org - On
SaltSpring Island. 06-11

OFFICE SERVICES

"].- | Custom Orders * Office Products
Regal Catalogues/Sales

et ceterda

(Salt Spring Book & Stationery)
162 Robinson Rd.
Ph./Fax: 537-5115

.

f“‘!}:

By appointment

REAL ESTATE

This spacious Nimpkish Height home on
2.15 acres offers a relaxed lifestyle just
minutes away from Pt.McNeill. Large
front yard and even larger back yard. The
2500 sq.ft 2 level home has Irge master
bdrm w/ensuite and 2 additional bdrms
and second bthrm. Kitchen is recently
upgraded with new appliances with a
large pantry and informal dining area.
Downstairs is room for family gatherings
or get togethers with a rec room, games
room, wet bar, 4th bedroom and 2 piece
bathroom. Plenty of storage. Photos can
be emailed as requested. 250-956-2675.
Email: lindyjk@yahoo.ca. 06-11

REAL ESTATE

RENTALS WANTED

Newly updated strata duplex close to
town, 2 bedrooms, 2 baths, 1250 sq.
ft. plus attached garage, offered at
$369,900. 250-538-1763. Please email
elenel1@telus.net. 07-06

RENTALS

California rental, Nov. and Dec. of 2010.
2 bdrm double wide in Tri Palms park
in Thousand Palms. $1500/month. Call
Connie Hardy at 250-537-5197. 07-06

2 BR condo in Pacific Gardens Cohousing
Community, near VIU in Nanaimo. $950/
month. Request 2 references. Call Judy
at 250-323-1969. 07-06

Brand new 1 bedroom 600 square foot
cottage in secluded area with hard wood
floors and wood stove. close to salt
spring vineyards with beautiful views.
Looking for long term. $900/month
plus utilities. respond by email preferred
threefiftyzed@hotmail.com Phone: 604-
377-6871. 06-11

RENTALS WANTED

Responsible woman with regular income
is looking for small cabin, very rustic off
grid ok, for long term rental or spot to
park RV with elec & water hookup. Price

neg. 250-538-8033. 07-06

3 bedroom rental required asap for pro-
fessional woman and 2 well behaved
teenage daughters, non smoking, no par-
tying email thefirm@kootenaylawcorp.
com Phone: 250-417-4678. 07-06

REAL ESTATE

LI'S FEATURED LISTING:

Salt Spring Island: Beautiful & pastoral 1.4 acres with
2 bed, 2 bath home, verandah style deck, detached garage /

Sunny & private! Enjoy!

$ SEATO SKY
PREMIER
#© PROPERTIES
Corner of Lower Ganges

and Rainbow Roads
(Across fr. Ganges Marina)

workshop, fruit trees, fenced vegetable garden. Arable land.

LiRead.com/1626.htm $350,000

L1 READ
250-537-7647

Email: LiRead33@gmail.com - www.LiRead.cony

Mature, responsible married couple with
2 children seeking 2-3 bedroom, long-
term rental for $800-$900/month. Non-
smoking, 1 cat. References. Call Ana or
David. (204) 256-6347.07-06

We are a professional couple from Galia-
no looking to rent a cottage or house for
the school year. Please call Rob or Marie.
Phone: 250.539.9881. 06-25

Required asap, one or two bedroom for
mom and daughter. Great references,
quiet clean, respectful and employed.
Please call 538-7663. 06-25

Young couple with dogs looking for a
place to rent. Check emails regularly
.Email: kumatica@gmail.com. 06-11

My husband and i and our two miniature
dachshunds are looking for a place to
rent for asap. 250-718-8233. 06-11

RVS & CAMPERS

1995 Flagstaff Tent Trailer. Sleeps six,
indoor/outdoor propane stove. Awning
and screen room attachment, and stabi-
lizer jacks. Easy to tow, set up and take
down. $3000. 250 537-0724 (no calls
after pm please). 07-06

1999 Aero 23RB Trailer - Great Condi-
tion, sleeps 4 with Queen Bed, Shower,
stove, micro, A/C, On SSI Asking $8500
0BO. carolomstead@gmail.com. 07-06

SPIRITUAL

“Hold Fast Thy Word"
Airs Sunday mornings
SALT SPRING RADIO

10am - 10:30am CFSI 107.9FM
www.cfsi-fm.com

7:45 - 8am on KARI 550AM dial
www.karid5.com

SPORTING GOODS

Aluminum Softball Bat... absolutely new
never used. 33 inches..26 ounces... $20
firm. Phone: 250-537-0710. 06-11

TOOLS

Tool Package: 10” table saw, 12" band
saw, 12 1/2” planner, 6” jointer, 25 gal-
lon compressor. $1200. 250-537-9990.

WANTED

Needing paddle for black & decker bread
maker. 250-537-5197. 07-06

Wanted - Gently used loveseat or divan
from a non-smoking home. Phone: 250-
538-1911. 07-06

Wanted - single foam mattress wanted
for camping. Must be from non-smoking
home. Phone: 250-538-1911. 07-06

Top of line Titanium fifth wheel, base 29’
effective length 34’ 1 slide, fully loaded
$25000. Phone: 250 537-8398. 07-06

1999 Aero 23 ft Travel Trailer. Great
Condition with AC, awning, toilet, tub
shower, fridge, stove, micro. Sleeps
4. Light weight. Great for travel or as
a guest house. On Saltspring. Email:
carolomstead@gmail.com. 07-06

1984 Dodge camper van, 19’ roadtrek,
318cc, power steering, oblique brakes,
cruise, sleeps 3, 2 burner stove, fridge,
flush toilet, fresh water tank. twin batter-
ies. $6700 obo. 250-629-3289. 06-25

SPORTING OODS

Adidas golf bag. Never been used, tags
still on. Navy blue/white. Was $250. sell-
ing for $50 Call Amy. 250-538-7840.

VENDORS AND VOLUNTEERS WANTED!
Salt Spring’S TOY RUN! Motorcycle en-
thusiasts Strap new toys on their rides
and then tour the island with them. Then
we eat, dance and drink. All toys and
money raised will go to Children on Salt
Spring. The date of the run will be Sat.
Aug. 28th and 29th. Please e-mail Lori
at: msmago0239@telus.net

Wanted to buy: Log splitter. Call 537-
5471. 06-11

Wanted: 3 axle boat trailer for 6 ton, 26
ft. boat with 8 ft. beam. 250-751-6141.

WORK WANTED

Father and sons grass cutting, by the
hour or flat rate. Fire season is com-
ing, keep it short to reduce the hazzard.
Phone: 250-538-8204. 06-25

HOREL TRUCKING AND EXCAVATING

Digging the rock for generations!

.| gravel, sand, crush rock

soil, fill, brush, stumps, landscape,

i rock demolision, excavations,
driveways landscaping, rock walls,
block walls, landclearing, hydro and
waterlines, drainage, fence posts

jphorel@shaw.ca

250-653-9581 250-537-6224

465 Dukes Road
Saltspring Island, BC V8K 2B6
Delicioys Baked Goods
Open 9am to 11pm
